%define upstream_name    Acme-Buffy
%define upstream_version 1.6

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    An encoding scheme for Buffy fans
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Acme/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch: noarch

%description
The first time you run a program under 'use Acme::Buffy', the module
removes most of the unsightly characters from your source file. The code
continues to work exactly as it did before, but now it looks like this:

  use Acme::Buffy;
  BUffY bUFFY BUffY bUFFY bUfFy buffy BUFfy	buFFY BufFy	BufFY	bUFfy BuFFY buffy	bufFy bUffy bUffY BuFfy	BuffY	bUFfy BUfFY BUFFy	Buffy bUffY	
  BuFFY BUFFy	BufFy BUFfy BUfFY buFfy	BuffY	BuFfy	BUfFY bUffy	buFFy	BUffy	bUffy

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc CHANGES LICENSE META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.600.0-10.mga8
+ Revision: 1503416
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 1.600.0-9.mga7
+ Revision: 1281540
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 1.600.0-8.mga7
+ Revision: 1162752
- rebuild with fixed rpm for missing autodeps

* Sat Jun 18 2016 pterjan <pterjan> 1.600.0-7.mga6
+ Revision: 1022180
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.600.0-6.mga6
+ Revision: 945972
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.600.0-5.mga5
+ Revision: 740522
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.600.0-4.mga5
+ Revision: 683419
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.600.0-3.mga4
+ Revision: 508938
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.600.0-2.mga3
+ Revision: 362790
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Aug 29 2012 kharec <kharec> 1.600.0-1.mga3
+ Revision: 285418
- imported package perl-Acme-Buffy


* Wed Aug 29 2012 cpan2dist 1.6-1mga
- initial mageia release, generated with cpan2dist
